﻿using Lab3.Database.DTO;

namespace Lab3.Database.Repository.Interfaces
{
    public interface IStudentRepository
    {
        public Task<List<StudentDTO>> Get(int limit = 10000, int offset = 0);

        public Task<StudentDTO> Get(Guid id);

        public Task<StudentDTO> Update(StudentDTO studentDTO);
        
        public Task<StudentDTO> Delete(Guid id);

        public Task<List<StudentDTO>> Create(StudentDTO studentDTO);
    }
}
