﻿using Lab3.Database.Extensions;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace Lab3.Extensions
{
    public static class DIExtension
    {
        public static IServiceCollection ConfigureDAL(
            this IServiceCollection services, 
            IConfiguration configuration)
        {
            services.AddDatabase(configuration);
            services.AddDbMapping();

            return services;
        }
    }
}
